package com.yihu.jw.entity.hospital.consult;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "wlyy_hospital_reservation_setting")
public class WlyyHospitalReservationSettingDO extends UuidIdentityEntityWithOperator {

    /**
	 * 
	 */
	private String saasId;

    /**
	 * 城市id
	 */
	private String city;

    /**
	 * 城市名称
	 */
	private String cityName;

    /**
	 * 行政区id
	 */
	private String town;

    /**
	 * 行政区名称
	 */
	private String townName;

    /**
	 * 医院
	 */
	private String hospital;

    /**
	 * 医院名称
	 */
	private String hospitalName;

    /**
	 * 科室
	 */
	private String dept;

    /**
	 * 科室名称
	 */
	private String deptName;

    /**
	 * 复诊疾病范围
	 */
	private String diseaseRange;

    /**
	 * 1图文 2视频 3图文+视频
	 */
	private Integer consultType;

    /**
	 * 医生
	 */
	private String doctor;

    /**
	 * 医生姓名
	 */
	private String doctorName;

    /**
	 * 0不可以预约 1可预约
	 */
	private Integer reservationStatus;

    /**
	 * 备注
	 */
	private String remark;

    /**
	 * 医生职称CODE
	 */
	private String job;

    /**
	 * 医生职称名字
	 */
	private String jobName;


	@Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

	@Column(name = "city")
    public String getCity() {
        return city;
    }
    public void setCity(String city) {
        this.city = city;
    }

	@Column(name = "city_name")
    public String getCityName() {
        return cityName;
    }
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

	@Column(name = "town")
    public String getTown() {
        return town;
    }
    public void setTown(String town) {
        this.town = town;
    }

	@Column(name = "town_name")
    public String getTownName() {
        return townName;
    }
    public void setTownName(String townName) {
        this.townName = townName;
    }

	@Column(name = "hospital")
    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

	@Column(name = "hospital_name")
    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

	@Column(name = "dept")
    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

	@Column(name = "dept_name")
    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

	@Column(name = "disease_range")
    public String getDiseaseRange() {
        return diseaseRange;
    }
    public void setDiseaseRange(String diseaseRange) {
        this.diseaseRange = diseaseRange;
    }

	@Column(name = "consult_type")
    public Integer getConsultType() {
        return consultType;
    }
    public void setConsultType(Integer consultType) {
        this.consultType = consultType;
    }

	@Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

	@Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

	@Column(name = "reservation_status")
    public Integer getReservationStatus() {
        return reservationStatus;
    }
    public void setReservationStatus(Integer reservationStatus) {
        this.reservationStatus = reservationStatus;
    }

	@Column(name = "remark")
    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

	@Column(name = "job")
    public String getJob() {
        return job;
    }
    public void setJob(String job) {
        this.job = job;
    }

	@Column(name = "job_name")
    public String getJobName() {
        return jobName;
    }
    public void setJobName(String jobName) {
        this.jobName = jobName;
    }



}